%define kolourpaint_lgpl_major 5


Name: kolourpaint
Summary: A free, easy-to-use paint program for KDE
Version: 23.08.5
Release: %mkrel 1
Group: Graphical desktop/KDE5
License: GPLv2 and LGPLv2 and GFDL
URL: http://www.kde.org/applications/graphics/kolourpaint/
Source: http://download.kde.org/stable/applications/%{version}/src/%name-%version.tar.xz
BuildRequires: cmake
BuildRequires: %{_lib}kconfig-devel
BuildRequires: %{_lib}kcoreaddons-devel
BuildRequires: %{_lib}kf5completion-devel
BuildRequires: %{_lib}kf5configwidgets-devel
BuildRequires: %{_lib}kf5guiaddons-devel
BuildRequires: %{_lib}kf5i18n-devel
BuildRequires: %{_lib}kf5iconthemes-devel
BuildRequires: %{_lib}kf5kdelibs4support-devel
BuildRequires: %{_lib}kf5sane-devel
BuildRequires: %{_lib}kf5service-devel
BuildRequires: %{_lib}kf5textwidgets-devel
BuildRequires: %{_lib}kf5widgetsaddons-devel
BuildRequires: %{_lib}kio-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5printsupport-devel
BuildRequires: %{_lib}qt5widgets-devel
BuildRequires: qtbase5-common-devel

%description
KolourPaint is a free, easy-to-use paint program for KDE.

It aims to be conceptually simple to understand; providing a level of
functionality targeted towards the average user. It's designed for daily
tasks like:

* Painting - drawing diagrams and "finger painting"
* Image Manipulation - editing screenshots and photos; applying effects
* Icon Editing - drawing clipart and logos with transparency

%files
%_bindir/kolourpaint
%_libdir/libkolourpaint_lgpl.so.%{kolourpaint_lgpl_major}*
%_kf5_datadir/kolourpaint
%_kf5_datadir/icons/hicolor/16x16/apps/kolourpaint.png
%_kf5_datadir/icons/hicolor/22x22/apps/kolourpaint.png
%_kf5_datadir/icons/hicolor/32x32/apps/kolourpaint.png
%_kf5_datadir/icons/hicolor/48x48/apps/kolourpaint.png
%_kf5_datadir/icons/hicolor/scalable/apps/kolourpaint.svgz
%_kf5_datadir/kxmlgui5/kolourpaint/kolourpaintui.rc
%_kf5_datadir/applications/org.kde.kolourpaint.desktop
%_kf5_datadir/metainfo/org.kde.kolourpaint.appdata.xml
%_kf5_datadir/locale
%_kf5_datadir/icons/hicolor/128x128/apps/kolourpaint.png
#------------------------------------------------------------------------------

%package -n kolourpaint-handbook
Summary: kolourpaint Handbook
Requires:  kolourpaint
BuildArch: noarch
Requires: %name
Group: Documentation

%description -n kolourpaint-handbook
This package provides kolourpaint handbook.

%files -n kolourpaint-handbook
%{_datadir}/doc

#------------------------------------------------------------------------------


%prep
%setup -q

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja
%ninja_build

%install
%ninja_install -C build

rm -f %buildroot/%_libdir/libkolourpaint_lgpl.so

%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

